%define _sysconfdir /etc/lam

Summary: LAM (Local Area Multicomputer) programming environment
Name: lam
Version: 6.3.3b28
Release: 1 
Copyright: GPL
Group: Development/Libraries
Source: lam-%{version}.tar.gz
URL: http://www.mpi.nd.edu/lam/
ExcludeArch: ia64
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
LAM (Local Area Multicomputer) is an MPI programming environment and
development system for heterogeneous computers on a network. With
LAM/MPI, a dedicated cluster or an existing network computing
infrastructure can act as one parallel computer solving one problem.
LAM/MPI is considered to be "cluster friendly", in that it offers
daemon-based process startup/control as well as fast client-to-client
message passing protocols.  LAM/MPI can use TCP/IP and/or shared
memory for message passing (different RPMs are supplied for this --
see the main LAM web site for details).

LAM features a full implementation of Message-Passing Interface
version 1 (with the exception that LAM does not support cancelling of
sends), and much of version 2.  Compliant applications are source code
portable between LAM and any other implementation of MPI. In addition
to meeting the standard in a high quality manner, LAM/MPI offers
extensive monitoring capabilities to support debugging. Monitoring
happens on two levels.  LAM/MPI has the hooks to allow a snapshot of
process and message status to be taken at any time during an
application run.  The status includes all aspects of synchronization
plus datatype map / signature, communicator group membership and
message contents (see the XMPI application on the main LAM web site).
On the second level, the MPI library is instrumented to produce a
cummulative record of communication, which can be visualized either at
runtime or post-mortem.

%prep
%setup -q

%build
%configure --with-rpi=usysv 
make all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cp -r $RPM_BUILD_ROOT/usr/doc .
cp -af $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT/%{_mandir} || :
rm -f $RPM_BUILD_ROOT/usr/include/mpi++.h
ln -s mpi2c++/mpi++.h $RPM_BUILD_ROOT/usr/include/mpi++

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc LICENSE HISTORY INSTALL README RELEASE_NOTES 
%doc examples
%doc doc/*
%config /etc/lam
/usr/bin/*
%{_mandir}/*/*
/usr/include/*
/usr/lib/*

%changelog
* Thu Aug 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 6.3.3b28, which should match the release. One known
  problem on SCO, otherwise none. This includes 
  fixing some programs which didn't work in the 
  last build.
 
* Thu Jul 27 2000 Harald Hoyer <harald@redhat.com>
- fixed the install process, that the lam tools have the
  right path set. make all;make DESTDIR install is 
  our friend.

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- a new and better world without dirty tricks necesarry. 
  All hail the 6.3.3beta (beta 20 - all my requests and 
  patches seem to be in now :)

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- substituted some old dirty tricks for new ones to make
  it build. More needed.
- Removed C++ (won't build) and ROMIO (who cares) support

* Thu Jun 15 2000 Trond Eivind Glomsrd <teg@redhat.com>
- ugly tricks to make it use %%{_mandir}
- patch to make it build with current compiler and glibc
- don't build on IA64

* Tue Apr 25 2000 Trond Eivind Glomsrd <teg@redhat.com>
- changed RPI to usysv - this should be good for
  (clusters of) SMPs.

* Wed Mar 28 2000 Harald Hoyer <harald@redhat.com>
- patched scheme Makefile

* Tue Mar 28 2000 Harald Hoyer <harald@redhat.com>
- new subminor version
- patched Makefile to build otb daemons, to satisfy conf.otb and build all
  stuff

* Sat Mar 04 2000 Cristian Gafton <gafton@redhat.com>
- fixed the whole tree the hard way - get into each Makefile and fix
  brokeness on a case by case basis. Traces of Buildroot should be 
  erradicated by now.

* Thu Mar 02 2000 Cristian Gafton <gafton@redhat.com>
- put back the mpi2c++ stuff. 

* Tue Feb 29 2000 Cristian Gafton <gafton@redhat.com>
- take out the mpi2c++ in a separate package

* Fri Feb 04 2000 Cristian Gafton <gafton@redhat.com>
- first version of the package
